Package org.apache.ignite.internal.management.snapshot

## Class SnapshotCreateCommand

- java.lang.Object
- - org.apache.ignite.internal.management.snapshot.AbstractSnapshotCommand<SnapshotCreateCommandArg,​String>
  - - org.apache.ignite.internal.management.snapshot.SnapshotCreateCommand

All Implemented Interfaces:
  `Command<SnapshotCreateCommandArg,​String>`, `ComputeCommand<SnapshotCreateCommandArg,​String>`

    public class SnapshotCreateCommand
    extends AbstractSnapshotCommand<SnapshotCreateCommandArg,​String>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`SnapshotCreateCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<SnapshotCreateCommandArg>` `argClass()`
`String` `description()` Command description.
`Class<SnapshotCreateTask>` `taskClass()`

### Methods inherited from class org.apache.ignite.internal.management.snapshot.AbstractSnapshotCommand

`printResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes`

### Constructor Detail

#### SnapshotCreateCommand

    public SnapshotCreateCommand()

### Method Detail

#### description

    public String description()

Command description.

#### argClass

    public Class<SnapshotCreateCommandArg> argClass()

Returns:
  Arguments class.

#### taskClass

    public Class<SnapshotCreateTask> taskClass()

Returns:
  Task class.